StarPU Internal Handbook

Data Structures | Functions
starpu_mpi_early_data.h File Reference
`#include <starpu.h>`
`#include <stdlib.h>`
`#include <mpi.h>`
`#include <common/config.h>`
`#include <common/list.h>`
`#include <common/uthash.h>`
`#include <starpu_mpi_private.h>`

Go to the source code of this file.

## Data Structures
struct | _starpu_mpi_early_data_handle
struct | _starpu_mpi_early_data_handle_tag_hashlist

## Functions
void | _starpu_mpi_early_data_init (void)
void | _starpu_mpi_early_data_check_termination (void)
void | _starpu_mpi_early_data_shutdown (void)
struct _starpu_mpi_early_data_handle * | _starpu_mpi_early_data_create (struct _starpu_mpi_envelope *envelope, int source, MPI_Comm comm) STARPU_ATTRIBUTE_MALLOC
struct _starpu_mpi_early_data_handle * | _starpu_mpi_early_data_find (struct _starpu_mpi_node_tag *node_tag)
void | _starpu_mpi_early_data_add (struct _starpu_mpi_early_data_handle *early_data_handle)
struct _starpu_mpi_early_data_handle_tag_hashlist * | _starpu_mpi_early_data_extract (struct _starpu_mpi_node_tag *node_tag)

## Data Structure Documentation

## ◆ _starpu_mpi_early_data_handle

struct _starpu_mpi_early_data_handle

Data Fields
starpu_data_handle_t | handle |
struct _starpu_mpi_req * | req |
void * | buffer |
size_t | size |
struct _starpu_mpi_node_tag | node_tag |
starpu_pthread_mutex_t | req_mutex |
starpu_pthread_cond_t | req_cond |

## ◆ _starpu_mpi_early_data_handle_tag_hashlist

struct _starpu_mpi_early_data_handle_tag_hashlist

Data Fields
struct _starpu_mpi_early_data_handle_list | list |
UT_hash_handle | hh |
starpu_mpi_tag_t | data_tag |